//
//  ViewController.m
//  GridFixedColumn
//
//  Created by Stephen Zaharuk on 8/11/17.
//  Copyright © 2017 Infragistics. All rights reserved.
//

#import "ViewController.h"

@interface ViewController () <IGGridViewDataSource>
{
    IGGridView* _gridView;
}
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    _gridView = [[IGGridView alloc]initWithFrame:self.view.bounds];
    [self.view addSubview:_gridView];
    _gridView.autoresizingMask = UIViewAutoresizingFlexibleWidth | UIViewAutoresizingFlexibleHeight;
    
    _gridView.dataSource = self;
    
}

-(NSInteger)numberOfColumnsInGridView:(IGGridView *)gridView
{
    return 1;
}

-(NSInteger)numberOfFixedLeftColumnsInGridView:(IGGridView *)gridView
{
    return 6;

}

-(NSInteger)gridView:(IGGridView *)gridView numberOfRowsInSection:(NSInteger)section
{
    return 100;

}

-(IGColumnWidth *)gridView:(IGGridView *)gridView widthForColumnAtIndex:(NSInteger)column
{
    return  [IGColumnWidth CreateWithFixedWidth:700];
}

-(IGColumnWidth *)gridView:(IGGridView *)gridView widthForFixedLeftColumnAtIndex:(NSInteger)column
{
    return [IGColumnWidth CreateWithFixedWidth:50];
}

- (IGGridViewCell *)gridView:(IGGridView *)gridView cellAt:(IGCellPath *)path
{
    IGGridViewCell* cell = [gridView dequeueReusableCellWithIdentifier:@"cell"];
    if(cell == nil)
    {
        cell = [[IGGridViewCell alloc]initWithReuseIdentifier:@"cell"];
          cell.backgroundColor = [UIColor colorWithWhite:1 alpha:1];
    }
    
    cell.textLabel.text = path.description;
    
    return  cell;
}

-(IGGridViewCell *)gridView:(IGGridView *)gridView fixedLeftCellAt:(IGCellPath *)path
{
    
    IGGridViewCell* cell = [gridView dequeueReusableCellWithIdentifier:@"fc"];
    if(cell == nil)
    {
        cell = [[IGGridViewCell alloc]initWithReuseIdentifier:@"fc"];
        cell.backgroundColor = [UIColor colorWithWhite:.5 alpha:1];
        cell.textLabel.textColor = [UIColor whiteColor];
    }
    
    cell.textLabel.text = [NSString stringWithFormat:@"%d", (int)path.columnIndex];
    
    return  cell;
}

-(NSString *)gridView:(IGGridView *)gridView titleForHeaderInColumn:(NSInteger)column
{
    return @"Test";
}



@end
